{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 4,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.getContext()Lorg/eclipse/uml2/uml/Classifier;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getInActivity()Lorg/eclipse/uml2/uml/Activity;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getSuperGroup()Lorg/eclipse/uml2/uml/ActivityGroup;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getInputs()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getInStructuredNode()Lorg/eclipse/uml2/uml/StructuredActivityNode;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getInGroups()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOwnedRules()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getContainedEdges()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getEdges()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getVariables()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.basicGetActivity()Lorg/eclipse/uml2/uml/Activity;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getImportedMembers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResource()Lorg/eclipse/emf/ecore/resource/Resource;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getInPartitions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getNodes()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getOutgoings()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getMembers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.isLocallyReentrant()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 4,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectContainmentEList$Resolving.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.basicGetContext()Lorg/eclipse/uml2/uml/Classifier;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.getLocalPreconditions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.basicGetInStructuredNode()Lorg/eclipse/uml2/uml/StructuredActivityNode;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.basicGetSuperGroup()Lorg/eclipse/uml2/uml/ActivityGroup;": 4,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/resource/Resource;Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isLeaf()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOutputs()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getRedefinedNodes()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ExecutableNodeImpl.getHandlers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOwnedMembers()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getStructuredNodeOutputs()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getSubgroups()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getIncomings()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getStructuredNodeInputs()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getElementImports()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/emf/ecore/util/EObjectWithInverseResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;II)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.isMustIsolate()Z": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 4,
    "Lorg/eclipse/uml2/common/util/DerivedUnionEObjectEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getInInterruptibleRegions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getContainedNodes()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActionImpl.getLocalPostconditions()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getPackageImports()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.getActivity()Lorg/eclipse/uml2/uml/Activity;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuredActivityNodeImpl.basicGetInActivity()Lorg/eclipse/uml2/uml/Activity;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 4,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 4
  }
}